<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Soal 2</title>
</head>

<body>
    <div id="app">
        <button onclick="vm.openform()">Open Form</button>
        <h1>{{ 'Nilai a : ' + a }}</h1>
        <h2>Rata-Rata : {{ (b!== 0) ? a / b : 0 }}</h2>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                a: 0,
                b: 0
            },
            methods: {
                openform: function () {
                    while (this.a <= 10) {
                        this.a += Number(prompt("Masuka Nilai a"))
                        this.b++
                    }
                },
            }
        })
    </script>
</body>

</html>